<?xml version="1.0" encoding="UTF-8"?>
<!-- (c) 2005 XBRL International. All Rights Reserved. http://www.XBRL.org/legal/ 
     This document may be copied and furnished to others, and derivative works that 
     comment on or otherwise explain it or assist in its implementation may be 
     prepared, copied, published and distributed, in whole or in part, without 
     restriction of any kind, provided that the above copyright notice and this
     paragraph are included on all such copies and derivative works.  XBRL is a
     registered trademark of AICPA licensed exclusively to XBRL International.  -->
<!-- The purpose of this stylesheet is to render an LRR document readably. -->
<!-- It assumes the LRR schema version 2005-05-17 and xbrl.css in the same folder. -->
<!-- Walter Hamscher (walter@hamscher.com) -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:fn="http://www.w3.org/2004/07/xpath-functions" xmlns:xdt="http://www.w3.org/2004/07/xpath-datatypes" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:lrr="http://www.xbrl.org/2005/lrr">
  <xsl:output method="xhtml" encoding="ascii" indent="yes" version="1.0" exclude-result-prefixes="xsl fo xs xsi fn xdt xbrli link xlink lrr"/>
  <xsl:template match="/lrr:lrr">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=ascii"/>
        <link rel="stylesheet" type="text/css" href="xbrl.css"/>
        <title>LRR Summary</title>
      </head>
      <body>
        <h2>XBRL Link Role Registry</h2>

        <table border="1">
                <h2>Roles:</h2>
          <xsl:for-each select="lrr:roles/lrr:role">
            <tr>
              <td>
                <table>
                  <xsl:call-template name="statusAndSyntax"/>
                  <xsl:call-template name="versionAndImpact"/>
                </table>
              </td>
            </tr>
          </xsl:for-each>
          <h2>Arc roles:</h2>
          <xsl:for-each select="lrr:arcroles/lrr:arcrole">
            <tr>
              <td>
                <table>
                  <xsl:call-template name="statusAndSyntax"/>
                  <tr>
                    <xsl:call-template name="someHeading">
                      <xsl:with-param name="heading">Allowed Cycles</xsl:with-param>
                    </xsl:call-template>
                    <xsl:call-template name="cell">
                      <xsl:with-param name="content">
                        <xsl:value-of select="lrr:cyclesAllowed"/>
                      </xsl:with-param>
                    </xsl:call-template>
                  </tr>
                  <tr>
                    <xsl:call-template name="someHeading">
                      <xsl:with-param name="heading">Abstract Source</xsl:with-param>
                    </xsl:call-template>
                    <xsl:call-template name="cell">
                      <xsl:with-param name="content">
                        <xsl:value-of select="lrr:sourceAbstract"/>
                      </xsl:with-param>
                    </xsl:call-template>
                  </tr>
                  <tr>
                    <xsl:call-template name="someHeading">
                      <xsl:with-param name="heading">Abstract Target</xsl:with-param>
                    </xsl:call-template>
                    <xsl:call-template name="cell">
                      <xsl:with-param name="content">
                        <xsl:value-of select="lrr:targetAbstract"/>
                      </xsl:with-param>
                    </xsl:call-template>
                  </tr>
                  <xsl:call-template name="versionAndImpact"/>
                </table>
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
  <xsl:template name="statusAndSyntax">
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">URI</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:roleURI"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Status</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:status"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Date</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:versionDate"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">href</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cellAsURL">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:authoritativeHref"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Requirement</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="body">
        <xsl:with-param name="content">
          <xsl:copy-of select="lrr:requirement[starts-with(@xml:lang,'en')]"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Definition</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="body">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:definition"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">On Elements</xsl:with-param>
      </xsl:call-template>
      <td>
        <table cellpadding="0" cellspacing="0">
          <tbody>
            
              <xsl:for-each select="lrr:elementsAllowedOn/lrr:element">
                <tr>
                 <xsl:call-template name="cell">
                  <xsl:with-param name="content">
                  {<xsl:value-of select="@namespaceURI"/>}:<xsl:value-of select="text()"/>
                  </xsl:with-param>
                  </xsl:call-template>
                </tr>
              </xsl:for-each>
            
          </tbody>
        </table>
      </td>

    </tr>
    <xsl:if test="lrr:attributes">
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Attributes On</xsl:with-param>
      </xsl:call-template>
 <td>
        <table cellpadding="0" cellspacing="0">
          <tbody>
            
              <xsl:for-each select="lrr:attributes/lrr:attribute">
                <tr>
                 <xsl:call-template name="cell">
                  <xsl:with-param name="content">
                  <xsl:if test="@namespaceURI">{<xsl:value-of select="@namespaceURI"/>}:</xsl:if>
                  <xsl:value-of select="text()"/>
                  </xsl:with-param>
                  </xsl:call-template>
                </tr>
              </xsl:for-each>
            
          </tbody>
        </table>
      </td>
    </tr></xsl:if>
  </xsl:template>
  <xsl:template name="versionAndImpact">
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Version</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:versionOfXBRL"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Edition Date</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:minimumEditionDate"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Taxonomy Impact</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:impactsTaxonomyValidation"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Instance Impact</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cell">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:impactsInstanceValidation"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Validation</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="body">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:validation"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
    <tr>
      <xsl:call-template name="someHeading">
        <xsl:with-param name="heading">Conformance</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="cellAsURL">
        <xsl:with-param name="content">
          <xsl:value-of select="lrr:conformanceSuiteURI"/>
        </xsl:with-param>
      </xsl:call-template>
    </tr>
  </xsl:template>
  <xsl:template name="someHeading">
    <xsl:param name="heading"/>
    <th valign="top">
      <xsl:value-of select="$heading"/>
    </th>
  </xsl:template>
  <xsl:template name="cell">
    <xsl:param name="content"/>
    <td>
      <xsl:value-of select="$content"/>
    </td>
  </xsl:template>
  
  <xsl:template name="cellAsURL">
    <xsl:param name="content"/>
    <td>
      <a>
        <xsl:attribute name="href"><xsl:value-of select="$content"/></xsl:attribute>
        <xsl:value-of select="$content"/>
      </a>
    </td>
  </xsl:template>
  <xsl:template name="body">
    <xsl:param name="content"/>
    <td width="400">
      <xsl:copy-of select="$content"/>
    </td>
  </xsl:template>
</xsl:stylesheet>
